Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3620)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3626)
@@ -6,3 +6,2 @@
 
 module load gcc/6.5.0
-module load idrmem/1.4-mpi
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3620)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3626)
@@ -14,4 +14,4 @@
 %OMP_FFLAGS          -qopenmp
 %BASE_LD             -i4 -r8 -auto -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread
-%MPI_LD              -lidrmem
+%MPI_LD              
 %OMP_LD              -qopenmp
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90	(revision 3620)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/pbl_surface_mod.F90	(revision 3626)
@@ -294,5 +294,9 @@
     use phys_state_var_mod, only: ds_ns, dt_ns
     use phys_output_var_mod, only: t_int, s_int, dter, dser, tkt, tks, rf, taur
-    use netcdf, only: nf90_fill_real
+#ifdef CPP_XIOS
+    USE wxios, ONLY: missing_val
+#else
+    use netcdf, only: missing_val => nf90_fill_real
+#endif
 
     IMPLICIT NONE
@@ -966,12 +970,12 @@
 
     if (activate_ocean_skin >= 1) then
-       t_int = nf90_fill_real
-       s_int = nf90_fill_real
-       dter = nf90_fill_real
-       dser = nf90_fill_real
-       tkt = nf90_fill_real
-       tks = nf90_fill_real
-       rf = nf90_fill_real
-       taur = nf90_fill_real
+       t_int = missing_val
+       s_int = missing_val
+       dter = missing_val
+       dser = missing_val
+       tkt = missing_val
+       tks = missing_val
+       rf = missing_val
+       taur = missing_val
     end if
 
@@ -2566,6 +2570,6 @@
 
        if (nsrf == is_oce .and. activate_ocean_skin >= 1) then
-          dt_ns = nf90_fill_real
-          ds_ns = nf90_fill_real
+          dt_ns = missing_val
+          ds_ns = missing_val
           ds_ns(ni(:knon)) = yds_ns(:knon)
           dt_ns(ni(:knon)) = ydt_ns(:knon)
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phyetat0.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phyetat0.F90	(revision 3620)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phyetat0.F90	(revision 3626)
@@ -29,5 +29,9 @@
   USE ocean_slab_mod, ONLY: nslay, tslab, seaice, tice, ocean_slab_init
   USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
-  use netcdf, only: nf90_fill_real
+#ifdef CPP_XIOS
+  USE wxios, ONLY: missing_val
+#else
+  use netcdf, only: missing_val => nf90_fill_real
+#endif
   use config_ocean_skin_m, only: activate_ocean_skin
 
@@ -542,6 +546,6 @@
 
      where (pctsrf(:, is_oce) == 0.)
-        ds_ns = nf90_fill_real
-        dt_ns = nf90_fill_real
+        ds_ns = missing_val
+        dt_ns = missing_val
      end where
   end if
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3620)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3626)
@@ -1956,5 +1956,5 @@
 
    type(ctrl_out), save:: o_ds_ns &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'ds_ns', &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dS_ns', &
         "delta salinity near surface", "ppt", '')
 
@@ -1968,5 +1968,5 @@
 
    type(ctrl_out), save:: o_dser &
-        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dser', &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dSer', &
         "salinity variation in the diffusive microlayer", "ppt", '')
 
@@ -1977,5 +1977,5 @@
    type(ctrl_out), save:: o_tks &
         = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tks', &
-        "thickness os salinity microlayer", "m", '')
+        "thickness of salinity microlayer", "m", '')
 
    type(ctrl_out), save:: o_rf &