Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/physiq.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/physiq.F90	(revision 3809)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/physiq.F90	(revision 3814)
@@ -17,5 +17,5 @@
   USE write_field_phy
   USE dimphy
-  USE infotrac
+  USE infotrac_phy
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
@@ -46,5 +46,6 @@
   use radlwsw_m, only: radlwsw
   use phyaqua_mod, only: zenang_an
-  USE control_mod
+  USE control_phy_mod
+  USE temps_phy_mod
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_xjour
@@ -114,5 +115,5 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "temps.h"
+!  include "temps.h"
   include "iniprint.h"
   include "thermcell.h"
@@ -516,8 +517,4 @@
   EXTERNAL suphel    ! initialiser certaines constantes
   EXTERNAL transp    ! transport total de l'eau et de l'energie
-  EXTERNAL ecribina  ! ecrire le fichier binaire global
-  EXTERNAL ecribins  ! ecrire le fichier binaire global
-  EXTERNAL ecrirega  ! ecrire le fichier binaire regional
-  EXTERNAL ecriregs  ! ecrire le fichier binaire regional
   !IM
   EXTERNAL haut2bas  !variables de haut en bas
@@ -1031,5 +1028,5 @@
      IF (iflag_con.EQ.2.AND.iflag_cld_th.GT.-1) THEN
         abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
-        CALL abort_gcm (modname,abort_message,1)
+        CALL abort_physic (modname,abort_message,1)
      ENDIF
      !
@@ -1090,5 +1087,5 @@
              pdtphys
         abort_message='Pas physique n est pas correct '
-        !           call abort_gcm(modname,abort_message,1)
+
         dtime=pdtphys
      ENDIF
@@ -1097,5 +1094,5 @@
              klon
         abort_message='nlon et klon ne sont pas coherents'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
      ENDIF
      IF (nlev .NE. klev) THEN
@@ -1103,5 +1100,5 @@
              klev
         abort_message='nlev et klev ne sont pas coherents'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
      ENDIF
      !
@@ -1110,5 +1107,5 @@
         WRITE(lunout,*)"Au minimum 4 appels par jour si cycle diurne"
         abort_message='Nbre d appels au rayonnement insuffisant'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
      ENDIF
      WRITE(lunout,*)"Clef pour la convection, iflag_con=", iflag_con
@@ -1165,5 +1162,5 @@
            IF(nCFMIP.GT.npCFMIP) THEN
               print*,'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
-              call abort_gcm("physiq", "", 1)
+              call abort_physic("physiq", "", 1)
            else
               print*,'physiq npCFMIP=',npCFMIP,'nCFMIP=',nCFMIP
@@ -1664,5 +1661,5 @@
         IF (read_climoz/=-1) THEN
            abort_message ='read_climoz=-1 is recommended when solarlong0=1000.'
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
         ENDIF
      ELSE
@@ -2047,5 +2044,5 @@
   IF (iflag_con.EQ.1) THEN
      abort_message ='reactiver le call conlmd dans physiq.F'
-     CALL abort_gcm (modname,abort_message,1)
+     CALL abort_physic (modname,abort_message,1)
      !     CALL conlmd (dtime, paprs, pplay, t_seri, q_seri, conv_q,
      !    .             d_t_con, d_q_con,
@@ -2185,5 +2182,5 @@
            else
        abort_message ='Ne pas passer la car www non calcule'
-       CALL abort_gcm (modname,abort_message,1)
+       CALL abort_physic (modname,abort_message,1)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -2351,5 +2348,5 @@
   ELSE
      WRITE(lunout,*) "iflag_con non-prevu", iflag_con
-     call abort_gcm("physiq", "", 1)
+     call abort_physic("physiq", "", 1)
   ENDIF
 
@@ -3017,5 +3014,5 @@
            IF (aerosol_couple .AND. config_inca == 'aero' ) THEN
             abort_message='config_inca=aero et rrtm=1 impossible'
-            call abort_gcm(modname,abort_message,1)
+            call abort_physic(modname,abort_message,1)
            ELSE
 !
@@ -3032,5 +3029,5 @@
 
               abort_message='You should compile with -rrtm if running with iflag_rrtm=1'
-              call abort_gcm(modname,abort_message,1)
+              call abort_physic(modname,abort_message,1)
 #endif
               !
@@ -3065,5 +3062,5 @@
 
            abort_message='You should compile with -rrtm if running with iflag_rrtm=1'
-           call abort_gcm(modname,abort_message,1)
+           call abort_physic(modname,abort_message,1)
 #endif
         ENDIF
@@ -3294,10 +3291,10 @@
         IF (ok_cdnc.AND.NRADLP.NE.3) THEN
            abort_message='RRTM choix incoherent NRADLP doit etre egal a 3 pour ok_cdnc' 
-           call abort_gcm(modname,abort_message,1)
+           call abort_physic(modname,abort_message,1)
         endif
 #else
 
         abort_message='You should compile with -rrtm if running with iflag_rrtm=1'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
 #endif
      ENDIF
@@ -4174,5 +4171,5 @@
     IF (abortphy==1) THEN
        abort_message ='Plantage hgardfou'
-       CALL abort_gcm (modname,abort_message,1)
+       CALL abort_physic (modname,abort_message,1)
     ENDIF
 
@@ -4192,5 +4189,5 @@
   !        "stats")          only possible in 3D runs !
 
-
+#ifdef YM_TO_DO_LATER
   IF (callstats) THEN
 
@@ -4237,4 +4234,5 @@
 
   ENDIF !if callstats
+#endif
 
   IF (lafin) THEN