Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3d/gcm.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3d/gcm.F90	(revision 3821)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3d/gcm.F90	(revision 3822)
@@ -99,9 +99,9 @@
   REAL, ALLOCATABLE, DIMENSION(:,:,:):: q! champs advectes
   REAL ps(ip1jmp1)                       ! pression  au sol
-  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
+!  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
   REAL masse(ip1jmp1,llm)                ! masse d'air
   REAL phis(ip1jmp1)                     ! geopotentiel au sol
-  REAL phi(ip1jmp1,llm)                  ! geopotentiel
-  REAL w(ip1jmp1,llm)                    ! vitesse verticale
+!  REAL phi(ip1jmp1,llm)                  ! geopotentiel
+!  REAL w(ip1jmp1,llm)                    ! vitesse verticale
 
   ! variables dynamiques intermediaire pour le transport
@@ -410,17 +410,4 @@
        tetagdiv, tetagrot , tetatemp, vert_prof_dissip)
 
-  !-----------------------------------------------------------------------
-  !   Initialisation de la physique :
-  !   -------------------------------
-
-  IF ((iflag_phys==1).or.(iflag_phys>=100)) THEN
-     ! Physics:
-#ifdef CPP_PHYS
-     CALL iniphysiq(iim,jjm,llm,daysec,day_ini,dtphys/nsplit_phys, &
-          rlatu,rlatv,rlonu,rlonv,aire,cu,cv,rad,g,r,cpp, &
-          iflag_phys)
-#endif
-  ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
-
   !  numero de stockage pour les fichiers de redemarrage:
 
@@ -446,4 +433,17 @@
 302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
 #endif
+
+  !-----------------------------------------------------------------------
+  !   Initialisation de la physique :
+  !   -------------------------------
+
+  IF ((iflag_phys==1).or.(iflag_phys>=100)) THEN
+     ! Physics:
+#ifdef CPP_PHYS
+     CALL iniphysiq(iim,jjm,llm,daysec,day_ini,dtphys/nsplit_phys, &
+          rlatu,rlatv,rlonu,rlonv,aire,cu,cv,rad,g,r,cpp, &
+          iflag_phys)
+#endif
+  ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
 
   !      if (planet_type.eq."earth") then
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F	(revision 3821)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F	(revision 3822)
@@ -401,4 +401,27 @@
 
 c-----------------------------------------------------------------------
+c   Initialisation des I/O :
+c   ------------------------
+
+
+      if (nday>=0) then
+         day_end = day_ini + nday
+      else
+         day_end = day_ini - nday/day_step
+      endif
+  
+      WRITE(lunout,300)day_ini,day_end
+ 300  FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+#ifdef CPP_IOIPSL
+      call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
+      write (lunout,301)jour, mois, an
+      call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
+      write (lunout,302)jour, mois, an
+ 301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
+ 302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
+#endif
+
+c-----------------------------------------------------------------------
 c   Initialisation de la physique :
 c   -------------------------------
@@ -424,27 +447,4 @@
 !$OMP END PARALLEL
       END IF
-
-c-----------------------------------------------------------------------
-c   Initialisation des I/O :
-c   ------------------------
-
-
-      if (nday>=0) then
-         day_end = day_ini + nday
-      else
-         day_end = day_ini - nday/day_step
-      endif
-  
-      WRITE(lunout,300)day_ini,day_end
- 300  FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
-
-#ifdef CPP_IOIPSL
-      call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
-      write (lunout,301)jour, mois, an
-      call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
-      write (lunout,302)jour, mois, an
- 301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
- 302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
-#endif
 
 !      if (planet_type.eq."earth") then
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dpar/gcm.F
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dpar/gcm.F	(revision 3821)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dpar/gcm.F	(revision 3822)
@@ -402,4 +402,27 @@
 
 c-----------------------------------------------------------------------
+c   Initialisation des I/O :
+c   ------------------------
+
+
+      if (nday>=0) then
+         day_end = day_ini + nday
+      else
+         day_end = day_ini - nday/day_step
+      endif
+
+      WRITE(lunout,300)day_ini,day_end
+ 300  FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+#ifdef CPP_IOIPSL
+      call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
+      write (lunout,301)jour, mois, an
+      call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
+      write (lunout,302)jour, mois, an
+ 301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
+ 302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
+#endif
+
+c-----------------------------------------------------------------------
 c   Initialisation de la physique :
 c   -------------------------------
@@ -425,27 +448,4 @@
 !$OMP END PARALLEL
       END IF
-
-c-----------------------------------------------------------------------
-c   Initialisation des I/O :
-c   ------------------------
-
-
-      if (nday>=0) then
-         day_end = day_ini + nday
-      else
-         day_end = day_ini - nday/day_step
-      endif
-
-      WRITE(lunout,300)day_ini,day_end
- 300  FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
-
-#ifdef CPP_IOIPSL
-      call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
-      write (lunout,301)jour, mois, an
-      call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
-      write (lunout,302)jour, mois, an
- 301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
- 302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
-#endif
 
 !      if (planet_type.eq."earth") then
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3821)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3822)
@@ -139,5 +139,5 @@
   ENDIF ! of IF (klon_glo>1)
 
-!$OMP PARALLEL 
+!$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/)
   ! Now generate local lon/lat/cu/cv/area arrays
   CALL initcomgeomphy(klon_omp)
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/infotrac_phy.f90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/infotrac_phy.f90	(revision 3821)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/infotrac_phy.f90	(revision 3822)
@@ -50,5 +50,5 @@
     CHARACTER(len=20),INTENT(IN) :: tname_(nqtot_) ! tracer short name for restart and diagnostics
     CHARACTER(len=23),INTENT(IN) :: ttext_(nqtot_) ! tracer long name for diagnostics
-    CHARACTER(len=4),INTENT(IN) :: type_trac_(nqtot_)
+    CHARACTER(len=4),INTENT(IN) :: type_trac_
     INTEGER,INTENT(IN) :: niadv_ (nqtot_) ! equivalent dyn / physique
     INTEGER,INTENT(IN) :: conv_flg_(nbtr_)
@@ -63,6 +63,5 @@
     ALLOCATE(ttext(nqtot))
     ttext(:) = ttext_(:)
-    ALLOCATE(type_trac(nqtot))
-    type_trac(:) = type_trac_(:)
+    type_trac = type_trac_
     ALLOCATE(niadv(nqtot))
     niadv(:)=niadv_(:)
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90	(revision 3821)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90	(revision 3822)
@@ -12,9 +12,9 @@
   INTEGER,SAVE :: anneeref ! reference year, ase deifined in run.def
   INTEGER,SAVE :: nday ! number of days to run
-!$THREADPRIVATE(daysec,dtphys,day_step,iphysiq,dayref,anneeref,nday)
+!$OMP THREADPRIVATE(daysec,dtphys,day_step,iphysiq,dayref,anneeref,nday)
   INTEGER,SAVE :: annee_ref ! reference year as read from start file
   INTEGER,SAVE :: day_ini
   INTEGER,SAVE :: day_end
-!$THREADPRIVATE(annee_ref,day_ini,day_end)
+!$OMP THREADPRIVATE(annee_ref,day_ini,day_end)
   INTEGER,SAVE :: itau_phy
   INTEGER,SAVE :: itaufin
@@ -22,5 +22,5 @@
   INTEGER,SAVE :: day_ref
   REAL,SAVE :: jD_ref
-!$THREADPRIVATE(itau_phy,itaufin,start_time,day_ref,JD_ref)
+!$OMP THREADPRIVATE(itau_phy,itaufin,start_time,day_ref,JD_ref)
   LOGICAL,SAVE :: offline
   INTEGER,SAVE :: raz_date
@@ -29,5 +29,5 @@
   INTEGER,SAVE :: prt_level ! Output level
   LOGICAL,SAVE :: debug ! flag to specify if in "debug mode"
-!$THREADPRIVATE(offline,raz_date,config_inca,lunout,prt_level,debug)
+!$OMP THREADPRIVATE(offline,raz_date,config_inca,lunout,prt_level,debug)
 
 CONTAINS