Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/bands.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/bands.F90	(revision 3825)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/bands.F90	(revision 3826)
@@ -105,11 +105,9 @@
    SUBROUTINE  Set_Bands 
      USE parallel_lmdz
-#ifdef CPP_PHYS
-! Ehouarn: what follows is only related to // physics
-     USE mod_phys_lmdz_para, ONLY : jj_para_begin,jj_para_end
-#endif
      IMPLICIT NONE
      INCLUDE 'dimensions.h'    
-     INTEGER :: i
+     INTEGER :: i, ij
+     INTEGER :: jj_para_begin(0:mpi_size-1)
+     INTEGER :: jj_para_end(0:mpi_size-1)
         
       do i=0,mpi_size-1
@@ -118,6 +116,16 @@
       enddo
           
-#ifdef CPP_PHYS
-      do i=0,MPI_Size-1
+      jj_para_begin(0)=1
+      ij=distrib_phys(0)+iim-1
+      jj_para_end(0)=((ij-1)/iim)+1
+      
+      DO i=1,mpi_Size-1
+        ij=ij+1
+        jj_para_begin(i)=((ij-1)/iim)+1
+        ij=ij+distrib_phys(i)-1
+        jj_para_end(i)=((ij-1)/iim)+1
+      ENDDO
+ 
+       do i=0,MPI_Size-1
         jj_Nb_physic(i)=jj_para_end(i)-jj_para_begin(i)+1
         if (i/=0) then
@@ -139,5 +147,5 @@
         endif
       enddo
-#endif      
+
       CALL create_distrib(jj_Nb_Caldyn,distrib_caldyn)
       CALL create_distrib(jj_Nb_vanleer,distrib_vanleer)
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F	(revision 3825)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F	(revision 3826)
@@ -420,7 +420,8 @@
 ! Physics:
 #ifdef CPP_PHYS
-         CALL iniphysiq(iim,jjm, distrib_phys(mpi_rank), comm_lmdz, llm, daysec, day_ini, dtphys/nsplit_phys,
-     &                rlatu,rlatv,rlonu,rlonv,aire,cu,cv,rad,g,r,cpp,
-     &                iflag_phys)
+         CALL iniphysiq(iim,jjm, distrib_phys(mpi_rank), comm_lmdz, llm,
+     &                  daysec, day_ini, dtphys/nsplit_phys,
+     &                  rlatu,rlatv,rlonu,rlonv,aire,cu,cv,rad,g,r,cpp,
+     &                  iflag_phys)
 #endif
       ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3825)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3826)
@@ -105,6 +105,6 @@
   boundslat_reg(1,south)= rlatv(1)
   DO j=2,jj
-   boundslat_reg(i,north)=rlatv(j-1) 
-   boundslat_reg(i,south)=rlatv(j) 
+   boundslat_reg(j,north)=rlatv(j-1) 
+   boundslat_reg(j,south)=rlatv(j) 
   ENDDO
   boundslat_reg(jj+1,north)= rlatv(jj) 
@@ -162,12 +162,12 @@
     cufi_glo(klon_glo) = cu((ii+1)*jj+1)
     cvfi_glo(klon_glo) = cv((ii+1)*jj-ii)
-    boundslonfi_glo(klon_glo,north_east)=0
-    boundslatfi_glo(klon_glo,north_east)=rlatv(jj)
-    boundslonfi_glo(klon_glo,north_west)=2*PI
-    boundslatfi_glo(klon_glo,north_west)=rlatv(jj)
-    boundslonfi_glo(klon_glo,south_west)=2*PI
-    boundslatfi_glo(klon_glo,south_west)=-PI/2
-    boundslonfi_glo(klon_glo,south_east)=rlonu(0)
-    boundslatfi_glo(klon_glo,south_east)=-Pi/2
+    boundslonfi_glo(klon_glo,north_east)= 0
+    boundslatfi_glo(klon_glo,north_east)= rlatv(jj)
+    boundslonfi_glo(klon_glo,north_west)= 2*PI
+    boundslatfi_glo(klon_glo,north_west)= rlatv(jj)
+    boundslonfi_glo(klon_glo,south_west)= 2*PI
+    boundslatfi_glo(klon_glo,south_west)= -PI/2
+    boundslonfi_glo(klon_glo,south_east)= 0
+    boundslatfi_glo(klon_glo,south_east)= -Pi/2
 
     ! build airefi(), mesh area on physics grid
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90	(revision 3825)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90	(revision 3826)
@@ -26,5 +26,5 @@
   INTEGER,SAVE :: raz_date
   CHARACTER(len=4),SAVE :: config_inca
-  INTEGER,SAVE :: lunout ! default output file identifier (6==screen)
+  INTEGER,SAVE :: lunout=6 ! default output file identifier (6==screen)
   INTEGER,SAVE :: prt_level ! Output level
   LOGICAL,SAVE :: debug ! flag to specify if in "debug mode"
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/mod_phys_lmdz_mpi_data.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/mod_phys_lmdz_mpi_data.F90	(revision 3825)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/mod_phys_lmdz_mpi_data.F90	(revision 3826)
@@ -87,5 +87,5 @@
     IF (is_using_mpi) THEN    
 #ifdef CPP_MPI
-    CALL MPI_ALLGATHER(nbp,1,MPI_REAL8,distrib,1,MPI_REAL_LMDZ,COMM_LMDZ_PHY)
+    CALL MPI_ALLGATHER(nbp,1,MPI_REAL8,distrib,1,MPI_REAL_LMDZ,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE