Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3831)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3835)
@@ -89,5 +89,4 @@
   REAL,ALLOCATABLE,SAVE :: boundslatfi(:,:)
 !$OMP THREADPRIVATE (latfi,lonfi,cufi,cvfi,airefi,boundslonfi,boundslatfi)
-  INTEGER :: itaufin_phy
   
 
@@ -237,6 +236,4 @@
   ! transfer some flags/infos from dynamics to physics
   
-  itaufin_phy=itaufin/iphysiq
-
   CALL inifis(punjours,prad,pg,pr,pcpp)
 
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90	(revision 3831)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis_mod.F90	(revision 3835)
@@ -1,28 +1,5 @@
-
-! $Id: $
 MODULE inifis_mod
 
-  IMPLICIT NONE
-  ! for now constants and flags transmitted from dyn to phys are stored here
-!  REAL,SAVE    :: daysec ! length of reference day (s)
-!  REAL,SAVE    :: dtphys ! physics time step (s)
-!  INTEGER,SAVE :: day_step ! number of physical steps per day
-!  INTEGER,SAVE :: nday ! number of days to run
-!!$OMP THREADPRIVATE(daysec,dtphys,day_step,iphysiq,dayref,anneeref,nday)
-!  INTEGER,SAVE :: annee_ref ! reference year as read from start file
-!  INTEGER,SAVE :: day_ini
-!  INTEGER,SAVE :: day_end
-!!$OMP THREADPRIVATE(annee_ref,day_ini,day_end)
-!  INTEGER,SAVE :: itau_phy   ! number of physiq iteration from origin
-!  INTEGER,SAVE :: itaufin    ! final iteration 
-!  REAL,SAVE    :: start_time
-!  INTEGER,SAVE :: day_ref
-!  REAL,SAVE :: jD_ref
-!!$OMP THREADPRIVATE(itau_phy,itaufin,start_time,day_ref,JD_ref)
-!  INTEGER,SAVE :: raz_date
-!  INTEGER,SAVE :: lunout=6 ! default output file identifier (6==screen)
-!  INTEGER,SAVE :: prt_level ! Output level
-!  LOGICAL,SAVE :: debug ! flag to specify if in "debug mode"
-!!$OMP THREADPRIVATE(lunout,prt_level,debug)
+
 
 CONTAINS
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_cal_mod.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_cal_mod.F90	(revision 3831)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_cal_mod.F90	(revision 3835)
@@ -3,19 +3,30 @@
 ! This module contains information on the calendar at the actual time step
 
-  SAVE
-
-  INTEGER :: year_cur      ! current year
-  INTEGER :: mth_cur       ! current month
-  INTEGER :: day_cur       ! current day
-  INTEGER :: days_elapsed  ! number of whole days since start of the simulation 
-  INTEGER :: mth_len       ! number of days in the current month
-  INTEGER :: year_len      ! number of days in the current year
-  REAL    :: hour
-  REAL    :: jD_1jan
-  REAL    :: jH_1jan
-  REAL    :: xjour
-  REAL    :: jD_cur  ! jour courant a l'appel de la physique (jour julien)
-  REAL    :: jH_cur  ! heure courante a l'appel de la physique (jour julien)
-  REAL    :: jD_ref  ! jour du demarage de la simulation (jour julien)
+  INTEGER,SAVE :: year_cur      ! current year
+!$OMP THREADPRIVATE(year_cur)
+  INTEGER,SAVE :: mth_cur       ! current month
+!$OMP THREADPRIVATE(mth_cur)
+  INTEGER,SAVE :: day_cur       ! current day
+!$OMP THREADPRIVATE(day_cur)
+  INTEGER,SAVE :: days_elapsed  ! number of whole days since start of the simulation 
+!$OMP THREADPRIVATE(days_elapsed)
+  INTEGER,SAVE :: mth_len       ! number of days in the current month
+!$OMP THREADPRIVATE(mth_len)
+  INTEGER,SAVE :: year_len      ! number of days in the current year
+!$OMP THREADPRIVATE(year_len)
+  REAL,SAVE    :: hour
+!$OMP THREADPRIVATE(hour)
+  REAL,SAVE    :: jD_1jan
+!$OMP THREADPRIVATE(jD_1jan)
+  REAL,SAVE    :: jH_1jan
+!$OMP THREADPRIVATE(jH_1jan)
+  REAL,SAVE    :: xjour
+!$OMP THREADPRIVATE(xjour)
+  REAL,SAVE    :: jD_cur  ! jour courant a l'appel de la physique (jour julien)
+!$OMP THREADPRIVATE(jD_cur)
+  REAL,SAVE    :: jH_cur  ! heure courante a l'appel de la physique (jour julien)
+!$OMP THREADPRIVATE(jH_cur)
+  REAL,SAVE    :: jD_ref  ! jour du demarage de la simulation (jour julien)
+!$OMP THREADPRIVATE(jD_ref)
 
 
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regular_lonlat_mod.f90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regular_lonlat_mod.f90	(revision 3831)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regular_lonlat_mod.f90	(revision 3835)
@@ -11,15 +11,14 @@
   INTEGER, PARAMETER :: south=2          ! boundaries of regular lontlat
 
+! Global definition, shared by all threads
+! Do not set threadprivate directives
+
   REAL,SAVE,ALLOCATABLE :: lon_reg(:)      ! value of longitude cell (rad)
-!$OMP THREADPRIVATE(lon_reg)
 
   REAL,SAVE,ALLOCATABLE :: lat_reg(:)      ! value of longitude cell (rad)
-!$OMP THREADPRIVATE(lat_reg)
 
   REAL,SAVE,ALLOCATABLE :: boundslon_reg(:,:)      ! value of boundaries cell (1=>east, 2=>west)(rad)
-!$OMP THREADPRIVATE(boundslon_reg)
 
   REAL,SAVE,ALLOCATABLE :: boundslat_reg(:,:)      ! value of longitude cell (1=>north, 2=>south)(rad)
-!$OMP THREADPRIVATE(boundslat_reg)
 
 
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/time_phylmdz_mod.f90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/time_phylmdz_mod.f90	(revision 3831)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/time_phylmdz_mod.f90	(revision 3835)
@@ -2,17 +2,28 @@
 
     REAL,SAVE    :: pdtphys     ! physics time step (s)
+!$OMP THREADPRIVATE(pdtphys)
     INTEGER,SAVE :: day_step    ! number of physical steps per day
+!$OMP THREADPRIVATE(day_step)
     INTEGER,SAVE :: ndays       ! number of days to run
+!$OMP THREADPRIVATE(ndays)
     INTEGER,SAVE :: annee_ref   ! reference year from the origin
+!$OMP THREADPRIVATE(annee_ref)
     INTEGER,SAVE :: day_ref     ! reference year of the origin
+!$OMP THREADPRIVATE(day_ref)
     INTEGER,SAVE :: day_ini     ! initial day of the run starting from 1st january of annee_ref
+!$OMP THREADPRIVATE(day_ini)
     INTEGER,SAVE :: day_end     ! final day of the run starting from 1st january of annee_ref
+!$OMP THREADPRIVATE(day_end)
     REAL,SAVE    :: start_time  ! starting time from the begining of the initial day
+!$OMP THREADPRIVATE(start_time)
     INTEGER,SAVE :: raz_date
+!$OMP THREADPRIVATE(raz_date)
 
     INTEGER,SAVE :: itau_phy     ! number of physiq iteration from origin
+!$OMP THREADPRIVATE(itau_phy)
     INTEGER,SAVE :: itaufin      ! final iteration 
+!$OMP THREADPRIVATE(itaufin)
     REAL,SAVE    :: current_time ! current elapsed time (s) from the begining of the run
-
+!$OMP THREADPRIVATE(current_time)
     
 
@@ -22,4 +33,5 @@
   USE ioipsl, ONLY : getin
   USE phys_cal_mod, ONLY: phys_cal_init
+  USE mod_phys_lmdz_para
   IMPLICIT NONE
   INCLUDE 'YOMCST.h'
@@ -42,5 +54,6 @@
   
     raz_date = 0
-    CALL getin('raz_date', raz_date)
+    IF (is_master) CALL getin('raz_date', raz_date)
+    CALL bcast(raz_date)
     current_time=0
     