Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dyn3dmem/gcm.F	(revision 3838)
@@ -421,5 +421,5 @@
 #ifdef CPP_PHYS
          CALL iniphysiq(iim,jjm, distrib_phys(mpi_rank), comm_lmdz, llm,
-     &                  daysec, day_ini, dtphys/nsplit_phys,
+     &                  daysec, dtphys/nsplit_phys,
      &                  rlatu,rlatv,rlonu,rlonv,aire,cu,cv,rad,g,r,cpp,
      &                  iflag_phys)
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/dynlonlat_phylonlat/phylmd/iniphysiq.F90	(revision 3838)
@@ -3,5 +3,5 @@
 
 
-SUBROUTINE iniphysiq(ii, jj, nbp, communicator, nlayer,punjours, pdayref,ptimestep,         &
+SUBROUTINE iniphysiq(ii, jj, nbp, communicator, nlayer,punjours,ptimestep, &
                      rlatu,rlatv,rlonu,rlonv,aire,cu,cv,               &
                      prad,pg,pr,pcpp,iflag_phys)
@@ -59,5 +59,4 @@
   REAL, INTENT (IN) :: cu((ii+1)*(jj+1)) ! cu coeff. (u_covariant = cu * u)
   REAL, INTENT (IN) :: cv((ii+1)*jj) ! cv coeff. (v_covariant = cv * v)
-  INTEGER, INTENT (IN) :: pdayref ! reference day of for the simulation
   REAL, INTENT (IN) :: ptimestep !physics time step (s)
   INTEGER, INTENT (IN) :: iflag_phys ! type of physics to be called
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/calcul_divers.h
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/calcul_divers.h	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/calcul_divers.h	(revision 3838)
@@ -20,5 +20,5 @@
 
 ! Calcul fin de journee : total_rain, nday_rain
-      IF(MOD(itap,NINT(un_jour/dtime)).EQ.0) THEN
+      IF(MOD(itap,NINT(un_jour/pdtphys)).EQ.0) THEN
 !        print*,'calcul nday_rain itap ',itap
          DO i = 1, klon
@@ -29,6 +29,6 @@
 
 ! Initialisation fin de mois
-      IF(MOD(itap-itapm1,NINT(mth_len*un_jour/dtime)).EQ.0) THEN
-        itapm1=itapm1+NINT(mth_len*un_jour/dtime)
+      IF(MOD(itap-itapm1,NINT(mth_len*un_jour/pdtphys)).EQ.0) THEN
+        itapm1=itapm1+NINT(mth_len*un_jour/pdtphys)
 !       print*,'initialisation itapm1 ',itapm1
       ENDIF
@@ -41,5 +41,5 @@
      t2m_max_mon=0.
   ENDIF
-  IF(MOD(itap,NINT(un_jour/dtime)).EQ.1) THEN
+  IF(MOD(itap,NINT(un_jour/pdtphys)).EQ.1) THEN
      zt2m_min_mon=zt2m
      zt2m_max_mon=zt2m
@@ -51,5 +51,5 @@
      ENDDO
 !fin de journee
-  IF(MOD(itap,NINT(un_jour/dtime)).EQ.0) THEN
+  IF(MOD(itap,NINT(un_jour/pdtphys)).EQ.0) THEN
    t2m_min_mon=t2m_min_mon+zt2m_min_mon 
    t2m_max_mon=t2m_max_mon+zt2m_max_mon 
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_histday_seri.h
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_histday_seri.h	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_histday_seri.h	(revision 3838)
@@ -7,5 +7,5 @@
       IF (type_run.EQ."AMIP") THEN
 !
-       zstophy = dtime
+       zstophy = pdtphys
        zout = ecrit_day
 !
@@ -31,5 +31,5 @@
                        nbp_lon,zx_lon(:,1), jjmp1,zx_lat(1,:), &
                        imin_debut,nbpti,jmin_debut,nbptj, &
-                       itau_phy, zjulian, dtime, &
+                       itau_phy, zjulian, pdtphys, &
                        nhori, nid_day_seri)
 !
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_paramLMDZ_phy.h
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_paramLMDZ_phy.h	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_paramLMDZ_phy.h	(revision 3838)
@@ -9,5 +9,5 @@
       if (is_mpi_root) then
 !
-       zstophy = dtime
+       zstophy = pdtphys
        zout = mth_len*un_jour
 !
@@ -27,5 +27,5 @@
                        np,zx_lon(np:np,1), np,zx_lat(1,np:np), &
                        1,1,1,1, &
-                       itau_phy, zjulian, dtime, &
+                       itau_phy, zjulian, pdtphys, &
                        nhori, nid_ctesGCM)
 !
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_undefSTD.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_undefSTD.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ini_undefSTD.F90	(revision 3838)
@@ -7,4 +7,5 @@
   USE phys_state_var_mod ! Variables sauvegardees de la physique
   USE phys_cal_mod, ONLY: mth_len
+  USE time_phylmdz_mod, ONLY: pdtphys
   IMPLICIT NONE
   include "clesphys.h"
@@ -58,5 +59,5 @@
 
     IF (n==1 .AND. itap-itapm1==1 .OR. n>1 .AND. mod(itap,nint( &
-        freq_outnmc(n)/dtime))==1) THEN
+        freq_outnmc(n)/pdtphys))==1) THEN
       ! print*,'ini_undefSTD n itap',n,itap
       DO k = 1, nlevstd
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/moy_undefSTD.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/moy_undefSTD.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/moy_undefSTD.F90	(revision 3838)
@@ -7,4 +7,5 @@
   USE phys_state_var_mod
   USE phys_cal_mod, ONLY: mth_len
+  USE time_phylmdz_mod, ONLY: pdtphys
   IMPLICIT NONE
   include "clesphys.h"
@@ -67,5 +68,5 @@
 
     IF (n==1 .AND. itap==itapm1 .OR. n>1 .AND. mod(itap,nint(freq_outnmc(n)/ &
-        dtime))==0) THEN
+        pdtphys))==0) THEN
 
       ! print*,'moy_undefSTD n itap itapm1',n,itap,itapm1
@@ -132,5 +133,5 @@
         END DO !i
       END DO !k
-    END IF !MOD(itap,NINT(freq_outNMC(n)/dtime)).EQ.0
+    END IF !MOD(itap,NINT(freq_outNMC(n)/pdtphys)).EQ.0
 
   END DO !n
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyetat0.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyetat0.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyetat0.F90	(revision 3838)
@@ -10,5 +10,5 @@
   USE surface_data,     ONLY : type_ocean, version_ocean
   USE geometry_mod,         ONLY : lon_degrees, lat_degrees
-  USE phys_state_var_mod, ONLY : ancien_ok, clwcon, detr_therm, dtime, &
+  USE phys_state_var_mod, ONLY : ancien_ok, clwcon, detr_therm, &
        qsol, fevap, z0m, z0h, agesno, &
        du_gwd_rando, dv_gwd_rando, entr_therm, f0, fm_therm, &
@@ -838,5 +838,5 @@
 
   IF ( type_ocean == 'slab' ) THEN
-      CALL ocean_slab_init(dtime, pctsrf)
+      CALL ocean_slab_init(pdtphys, pctsrf)
       found=phyetat0_get(nslay,tslab,"tslab","tslab",0.)
       IF (.NOT. found) THEN 
@@ -876,5 +876,5 @@
   ! Initialize module ocean_cpl_mod for the case of coupled ocean
   IF ( type_ocean == 'couple' ) THEN
-     CALL ocean_cpl_init(dtime, lon_degrees, lat_degrees)
+     CALL ocean_cpl_init(pdtphys, lon_degrees, lat_degrees)
   ENDIF
 
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyredem.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyredem.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyredem.F90	(revision 3838)
@@ -18,5 +18,5 @@
   USE surface_data
   USE ocean_slab_mod, ONLY : tslab, seaice, tice, fsic
-  USE time_phylmdz_mod, ONLY: annee_ref, day_end, itau_phy
+  USE time_phylmdz_mod, ONLY: annee_ref, day_end, itau_phy, pdtphys
 
   IMPLICIT none
@@ -69,5 +69,5 @@
      tab_cntrl(ierr) = 0.0
   ENDDO
-  tab_cntrl(1) = dtime
+  tab_cntrl(1) = pdtphys
   tab_cntrl(2) = radpas
   ! co2_ppm : current value of atmospheric CO2
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_state_var_mod.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_state_var_mod.F90	(revision 3838)
@@ -17,6 +17,6 @@
       INTEGER, SAVE :: radpas
 !$OMP THREADPRIVATE(radpas)
-      REAL, SAVE :: dtime, solaire_etat0
-!$OMP THREADPRIVATE(dtime, solaire_etat0)
+      REAL, SAVE :: solaire_etat0
+!$OMP THREADPRIVATE(solaire_etat0)
 
       REAL, ALLOCATABLE, SAVE ::  pctsrf(:,:)
Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/undefSTD.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/undefSTD.F90	(revision 3836)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/undefSTD.F90	(revision 3838)
@@ -6,4 +6,5 @@
   USE dimphy
   USE phys_state_var_mod ! Variables sauvegardees de la physique
+  USE time_phylmdz_mod, ONLY: pdtphys
   IMPLICIT NONE
   include "clesphys.h"
@@ -57,8 +58,8 @@
 
 
-    ! calcul variables tous les freq_calNMC(n)/dtime pas de temps
+    ! calcul variables tous les freq_calNMC(n)/pdtphys pas de temps
     ! de la physique
 
-    IF (mod(itap,nint(freq_calnmc(n)/dtime))==0) THEN
+    IF (mod(itap,nint(freq_calnmc(n)/pdtphys))==0) THEN
       DO k = 1, nlevstd
         DO i = 1, klon
@@ -93,5 +94,5 @@
       END DO !k
 
-    END IF !MOD(itap,NINT(freq_calNMC(n)/dtime)).EQ.0
+    END IF !MOD(itap,NINT(freq_calNMC(n)/pdtphys)).EQ.0
 
   END DO !n