Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/advect_tracer.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/advect_tracer.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/advect_tracer.f90	(revision 3845)
@@ -58,5 +58,5 @@
     USE mpipara
     USE trace
-    USE write_field
+    USE write_field_mod
     IMPLICIT NONE
     
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/etat0_heldsz.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/etat0_heldsz.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/etat0_heldsz.f90	(revision 3845)
@@ -76,5 +76,5 @@
 
        theta_eq=f_theta_eq(ind) 
-       CALL compute_Teq(lat_i,theta_eq) ! FIXME : already done by Init_Teq
+       CALL compute_Teq(lat_i,theta_eq) ! FIXME : already done by Init_Teq 
 
        ps=f_ps(ind)
@@ -90,5 +90,7 @@
        CALL compute_theta2theta_rhodz(ps,theta,theta_rhodz,1)
        q=f_q(ind)
-       q(:,:,:)=1e2
+       q(:,:,1)=1e-2
+       q(:,:,2)=0
+       q(:,:,3:)=1e-2
     ENDDO
   END SUBROUTINE etat0
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/etat0_start_file.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/etat0_start_file.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/etat0_start_file.f90	(revision 3845)
@@ -11,5 +11,5 @@
   USE restart_mod
   USE wind_mod
-  USE write_field
+  USE write_field_mod
   USE time_mod
   USE transfert_mod
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosa_gcm.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosa_gcm.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosa_gcm.f90	(revision 3845)
@@ -4,3 +4,10 @@
   CALL icosa_init
 
+
 END PROGRAM icosa_gcm
+
+SUBROUTINE initialize_external_physics
+END SUBROUTINE initialize_external_physics
+
+SUBROUTINE external_physics
+END SUBROUTINE external_physics
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosa_mod.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosa_mod.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosa_mod.f90	(revision 3845)
@@ -13,5 +13,5 @@
   USE vector
   USE field_mod
-  USE write_field
+  USE write_field_mod
   USE transfert_mod
   USE time_mod
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosagcm.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosagcm.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/icosagcm.f90	(revision 3845)
@@ -17,5 +17,5 @@
   USE output_field_mod
   USE xios_mod
-  USE write_field
+  USE write_field_mod
   USE physics_mod
   IMPLICIT NONE
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/output_field.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/output_field.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/output_field.f90	(revision 3845)
@@ -14,5 +14,5 @@
   USE getin_mod
   USE xios_mod
-  USE write_field
+  USE write_field_mod
   IMPLICIT NONE
 
@@ -37,5 +37,5 @@
     USE field_mod
     USE xios_mod
-    USE write_field
+    USE write_field_mod
     IMPLICIT NONE  
      CHARACTER(LEN=*),INTENT(IN) :: name_in
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/physics.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/physics.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/physics.f90	(revision 3845)
@@ -5,5 +5,5 @@
   PRIVATE
 
-  INTEGER, PARAMETER :: phys_none=0, phys_HS94=1, phys_DCMIP=2, phys_lmdz_generic=3, phys_LB2012=4 
+  INTEGER, PARAMETER :: phys_none=0, phys_HS94=1, phys_DCMIP=2, phys_lmdz_generic=3, phys_LB2012=4, phys_external=5
 
   INTEGER :: phys_type
@@ -27,4 +27,5 @@
     USE etat0_venus_mod, ONLY : init_phys_venus=>init_physics
     USE physics_lmdz_generic_mod, ONLY : init_physics_lmdz_generic=>init_physics
+    USE physics_external_mod, ONLY : init_physics_external=>init_physics
     IMPLICIT NONE
 
@@ -45,4 +46,7 @@
        CALL init_physics_lmdz_generic
        phys_type=phys_lmdz_generic
+    CASE ('phys_external')
+       CALL init_physics_external
+       phys_type=phys_external
     CASE ('dcmip')
        CALL allocate_field(f_dulon,field_t,type_real,llm, name='dulon')
@@ -55,5 +59,6 @@
     CASE DEFAULT
        IF(is_mpi_root) PRINT*, 'init_physics : Bad selector for variable physics <',&
-            TRIM(physics_type), '> options are <none>, <held_suarez>, <Lebonnois2012>, <dcmip>, <phys_lmdz_generic>'
+            TRIM(physics_type), '> options are <none>, <held_suarez>, <Lebonnois2012>, <dcmip>', &
+                                '<phys_lmdz_generic>, <phys_external>'
        STOP
     END SELECT
@@ -66,4 +71,5 @@
     USE physics_interface_mod
     USE physics_lmdz_generic_mod, ONLY : physics_lmdz_generic => physics
+    USE physics_external_mod, ONLY : physics_external => physics
     USE physics_dcmip_mod, ONLY : write_physics_dcmip => write_physics
     USE etat0_heldsz_mod
@@ -96,4 +102,6 @@
        CASE (phys_lmdz_generic)
          CALL physics_lmdz_generic(it ,f_phis, f_ps, f_theta_rhodz, f_ue, f_wflux, f_q)
+       CASE (phys_external)
+         CALL physics_external(it ,f_phis, f_ps, f_theta_rhodz, f_ue, f_wflux, f_q)
        CASE(phys_LB2012)
           CALL phys_venus(f_ps,f_theta_rhodz,f_ue) 
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/physics_external.F90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/physics_external.F90	(revision 3845)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/physics_external.F90	(revision 3845)
@@ -0,0 +1,55 @@
+MODULE physics_external_mod
+  USE field_mod
+  
+  INTEGER,SAVE :: it
+!$OMP THREADPRIVATE(it)
+
+  TYPE(t_field),POINTER,SAVE :: f_phis(:)
+  TYPE(t_field),POINTER,SAVE :: f_ps(:)
+  TYPE(t_field),POINTER,SAVE :: f_theta_rhodz(:)
+  TYPE(t_field),POINTER,SAVE :: f_u(:)
+  TYPE(t_field),POINTER,SAVE :: f_wflux(:)
+  TYPE(t_field),POINTER,SAVE :: f_q(:)
+  
+  
+  
+CONTAINS
+
+  SUBROUTINE init_physics
+
+    CALL initialize_external_physics
+        
+  END SUBROUTINE init_physics
+  
+  SUBROUTINE physics(it_,f_phis_, f_ps_, f_theta_rhodz_, f_u_, f_wflux_, f_q_)
+  USE field_mod
+  IMPLICIT NONE
+    INTEGER,INTENT(IN)    :: it_
+    TYPE(t_field),POINTER :: f_phis_(:)
+    TYPE(t_field),POINTER :: f_ps_(:)
+    TYPE(t_field),POINTER :: f_theta_rhodz_(:)
+    TYPE(t_field),POINTER :: f_u_(:)
+    TYPE(t_field),POINTER :: f_wflux_(:)
+    TYPE(t_field),POINTER :: f_q_(:)
+
+    it=it_
+    
+!$OMP BARRIER
+!$OMP MASTER
+    f_phis=>f_phis_
+    f_ps=>f_ps_
+    f_theta_rhodz=>f_theta_rhodz_
+    f_u=>f_u_
+    f_wflux=>f_wflux_
+    f_q=>f_q_
+!$OMP END MASTER
+!$OMP BARRIER
+
+    CALL external_physics
+    
+  END SUBROUTINE physics
+  
+  
+END MODULE physics_external_mod
+    
+  
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/time.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/time.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/time.f90	(revision 3845)
@@ -25,24 +25,12 @@
   INTEGER,SAVE :: day_step,ndays
 !$OMP THREADPRIVATE(day_step,ndays)  
-  REAL(rstd),SAVE :: jD_ref,jH_ref
-!$OMP THREADPRIVATE(jD_ref,jH_ref)  
-  INTEGER,SAVE :: day_ini,day_end,annee_ref,day_ref
-!$OMP THREADPRIVATE(day_ini,day_end,annee_ref,day_ref)  
-  REAL(rstd),SAVE::start_time
-!$OMP THREADPRIVATE(start_time)  
+
   CHARACTER(LEN=255) :: time_style
 !$OMP THREADPRIVATE(time_style)  
-  INTEGER,SAVE:: an, mois, jour
-!$OMP THREADPRIVATE(an, mois, jour)  
-  REAL(rstd),SAVE:: heure
-!$OMP THREADPRIVATE(heure)  
-  CHARACTER (LEN=10):: calend
-!$OMP THREADPRIVATE(calend)  
 
   PUBLIC create_time_counter_header, update_time_counter, close_time_counter, init_time,  &
          dt, write_period, itau_out, itau_adv, itau_dissip, itau_physics, itaumax,  &
          itau_check_conserv,  & 
-         day_step,ndays,jD_ref,jH_ref,day_ini,day_end,annee_ref,day_ref, &
-         an, mois, jour,heure, calend,time_style,itau0
+         day_step,ndays,time_style,itau0
 
 
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/write_etat0.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/write_etat0.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/write_etat0.f90	(revision 3845)
@@ -9,5 +9,5 @@
   USE restart_mod
   USE wind_mod
-  USE write_field
+  USE write_field_mod
   IMPLICIT NONE
     INTEGER,INTENT(IN)    :: it
Index: dynamico_lmdz/aquaplanet/ICOSAGCM/src/write_field.f90
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSAGCM/src/write_field.f90	(revision 3844)
+++ dynamico_lmdz/aquaplanet/ICOSAGCM/src/write_field.f90	(revision 3845)
@@ -1,3 +1,3 @@
-module write_field
+module write_field_mod
 USE genmod
 implicit none
@@ -1799,4 +1799,4 @@
   end function int2str
 
-end module write_field
+end module write_field_mod
   