Index: dynamico_lmdz/aquaplanet/ICOSA_LMDZ/arch/arch-X64_CURIE.env
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSA_LMDZ/arch/arch-X64_CURIE.env	(revision 3841)
+++ dynamico_lmdz/aquaplanet/ICOSA_LMDZ/arch/arch-X64_CURIE.env	(revision 3851)
@@ -1,6 +1,5 @@
 module unload netcdf
 module unload hdf5
-module load netcdf/4.2_hdf5_parallel
-module load  hdf5/1.8.9_parallel
+module load netcdf/4.3.3.1_hdf5_parallel
 module load vampir
 module load vampirtrace
Index: dynamico_lmdz/aquaplanet/ICOSA_LMDZ/arch/arch-X64_CURIE.path
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSA_LMDZ/arch/arch-X64_CURIE.path	(revision 3841)
+++ dynamico_lmdz/aquaplanet/ICOSA_LMDZ/arch/arch-X64_CURIE.path	(revision 3851)
@@ -11,5 +11,5 @@
 HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
 
-XIOS_INCDIR="-I$WORKDIR/XIOS_COMMIT_V1.7/inc"
-XIOS_LIBDIR="-L$WORKDIR/XIOS_COMMIT_V1.7/lib"
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
 XIOS_LIB="-lxios -lstdc++"
Index: dynamico_lmdz/aquaplanet/ICOSA_LMDZ/bld.cfg
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSA_LMDZ/bld.cfg	(revision 3841)
+++ dynamico_lmdz/aquaplanet/ICOSA_LMDZ/bld.cfg	(revision 3851)
@@ -23,6 +23,6 @@
 bld::tool::fc        %COMPILER
 bld::tool::ld        %LINK  
-bld::tool::ldflags   %LD_FLAGS -Wl,--start-group -L../lib -licosa_lmdz -L../../ICOSAGCM/lib -licosa -Wl,--end-group  -L../../LMDZ5/config/lib -llmdz  -L/ccc/work/cont003/dsm/p86yann/IOIPSL/src -lioipsl  %LIB 
-bld::tool::fflags    %FFLAGS -I../../ICOSAGCM/inc -I../../LMDZ5/config/inc
+bld::tool::ldflags   %LD_FLAGS -Wl,--start-group -L../lib -licosa_lmdz -L $PWD/../ICOSAGCM/lib -licosa -Wl,--end-group  -L $PWD/../LMDZ5/config/lib -llmdz  -L $PWD/../IOIPSL/src -lioipsl  -L $PWD/../XIOS/lib -lxios -lstdc++ %LIB 
+bld::tool::fflags    %FFLAGS -I $PWD/../ICOSAGCM/inc -I$PWD/../LMDZ5/config/inc -I $PWD/../XIOS/inc -L $PWD/../IOIPSL/src
 bld::tool::fppkeys   %CPP_KEY %FPP_DEF
 bld::tool::fpp       %FPP
@@ -65,4 +65,5 @@
 bld::excl_dep        use::inifis_mod 
 bld::excl_dep        use::phyaqua_mod
+bld::excl_dep        use::wxios
 
 bld::tool::SHELL   /bin/bash
Index: dynamico_lmdz/aquaplanet/ICOSA_LMDZ/config.fcm
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSA_LMDZ/config.fcm	(revision 3841)
+++ dynamico_lmdz/aquaplanet/ICOSA_LMDZ/config.fcm	(revision 3851)
@@ -1,4 +1,4 @@
-%COMPIL_FFLAGS %DEBUG_FFLAGS %OMP_FFLAGS -I /usr/local/netcdf-4.2_hdf5_parallel/include
+%COMPIL_FFLAGS %PROD_FFLAGS %OMP_FFLAGS -I /usr/local/netcdf-4.3.3.1_hdf5_parallel/include
 %LD_FLAGS %BASE_LD %OMP_LD
 %CPP_KEY CPP_NONE CPP_USING_MPI CPP_USING_OMP
-%LIB  -Wl,-rpath=/usr/local/netcdf-4.2_hdf5_parallel/lib -L/usr/local/netcdf-4.2_hdf5_parallel/lib -lnetcdff -lnetcdf -Wl,-rpath=/usr/local/hdf5-1.8.9_parallel/lib -L/usr/local/hdf5-1.8.9_parallel/lib -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl
+%LIB  -Wl,-rpath=/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib -L/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib -lnetcdff -lnetcdf -Wl,-rpath= -L -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl
Index: dynamico_lmdz/aquaplanet/ICOSA_LMDZ/make_icosa_lmdz
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSA_LMDZ/make_icosa_lmdz	(revision 3841)
+++ dynamico_lmdz/aquaplanet/ICOSA_LMDZ/make_icosa_lmdz	(revision 3851)
@@ -1,5 +1,6 @@
 #!/bin/bash
-set -x
 export PATH=$PWD/tools/FCM/bin:$PATH
+
+export ROOT=$PWD
 
 echo ./make_icosa $* > rebuild
@@ -136,12 +137,23 @@
 rm bin/*
 
+cd ../IOIPSL/src
+make
+
+cd -
+
+cd ../XIOS
+#make_xios --$compil_mode --arch $arch --job $job
+
+cd -
+
 cd ../LMDZ5
-makelmdz_fcm toto -$compil_mode -mem -parallel $parallel -nodyn -arch $arch -j $job
+makelmdz_fcm toto -$compil_mode -mem -parallel $parallel -nodyn -io xios -arch $arch -j $job
+
+cd -
 
 cd ../ICOSAGCM
-make_icosa -$compil_mode -parallel $parallel -external_ioipsl -arch $arch -job $job 
+make_icosa -$compil_mode -parallel $parallel -external_ioipsl -with_xios -arch $arch -job $job 
 
-
-cd ../ICOSA_LMDZ
+cd -
 
 rm -f config.fcm
Index: dynamico_lmdz/aquaplanet/ICOSA_LMDZ/rebuild
===================================================================
--- dynamico_lmdz/aquaplanet/ICOSA_LMDZ/rebuild	(revision 3841)
+++ dynamico_lmdz/aquaplanet/ICOSA_LMDZ/rebuild	(revision 3851)
@@ -1,1 +1,1 @@
-./make_icosa -debug -parallel mpi_omp -arch X64_CURIE -job 8
+./make_icosa -prod -parallel mpi_omp -arch X64_CURIE -job 8